Loading...
Searching...
No Matches
NoiseModel.cpp File Reference

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.
namespace | gtsam::noiseModel
| All noise models live in the noiseModel namespace.

## Functions

template<class MATRIX>
void | gtsam::noiseModel::updateAb (MATRIX &Ab, int j, const Vector &a, const Vector &rd)
boost::optional< Vector > | gtsam::noiseModel::checkIfDiagonal (const Matrix &M)
template<typename VECTOR>
boost::optional< size_t > | gtsam::noiseModel::check_if_constraint (VECTOR a, const Vector &invsigmas, size_t m)

## Detailed Description

Date
  Jan 13, 2010

Author
  Richard Roberts
  Frank Dellaert